%global _empty_manifest_terminate_build 0
Name:           python-os-brick
Version:        4.3.2
Release:        2
Summary:        OpenStack Cinder brick library for managing local volume attaches
License:        Apache-2.0
URL:            https://docs.openstack.org/os-brick/
Source0:        https://files.pythonhosted.org/packages/5b/e0/37894fc408f6a1d35bd75acc5b1b1522ce7fdacd040fbb6dd75500018fd0/os-brick-4.3.2.tar.gz
BuildArch:      noarch
%description
Volume discovery and local storage management lib

%package -n python3-os-brick
Summary:        OpenStack Cinder brick library for managing local volume attaches
Provides:       python-os-brick
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-eventlet
BuildRequires:  python3-os-win
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-oslo-context
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-privsep
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-service
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-requests
BuildRequires:  python3-tenacity
BuildRequires:  python3-os-win

# General requires
Requires:       python3-eventlet
Requires:       python3-os-win
Requires:       python3-oslo-concurrency
Requires:       python3-oslo-context
Requires:       python3-oslo-i18n
Requires:       python3-oslo-log
Requires:       python3-oslo-privsep
Requires:       python3-oslo-serialization
Requires:       python3-oslo-service
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-requests
Requires:       python3-tenacity
%description -n python3-os-brick
Volume discovery and local storage management lib

%package help
Summary:        OpenStack Cinder brick library for managing local volume attaches
Provides:       python3-os-brick-doc
%description help
Volume discovery and local storage management lib

%prep
%autosetup -n os-brick-%{version}

%build
%py3_build

%install
%py3_install
# Move config files to proper location
install -d -m 755 %{buildroot}%{_datarootdir}/os-brick/rootwrap
mv %{buildroot}/usr/etc/os-brick/rootwrap.d/*.filters %{buildroot}%{_datarootdir}/os-brick/rootwrap

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

# pycodestyle version doesn't satisfy the requirement, skip now
#%check
#%{__python3} setup.py test

%files -n python3-os-brick -f filelist.lst
%dir %{python3_sitelib}/*
%{_datarootdir}/os-brick

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 4.3.2-2
- Fix install error

* Tue Feb 22 2022 OpenStack_SIG <openstack@openeuler.org> - 4.3.2-1
- Upgrade the version to 4.3.2

* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 4.3.1-1
- Upgrade version

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 4.0.1-3
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Tue Jan 12 2021 zhangy <zhangy1317@foxmail.com> 2021.1.12
- Update to 2021.1.12
